import React, { Component } from 'react';
import IgGrid from 'igniteui-react/ui/igGrid.js';

// Ignite UI Required Combined JavaScript Files
import "@infragistics/ignite-ui-full/en/js/infragistics.core.js";
import "@infragistics/ignite-ui-full/en/js/infragistics.lob.js";

// CSS files
import "@infragistics/ignite-ui-full/en/css/structure/infragistics.css";
import "@infragistics/ignite-ui-full/en/css/themes/infragistics/infragistics.theme.css";
import '../sample.css';

var MainComponent = React.createClass({
	render: function () {
		return (
			<IgGrid
				id="ProductConfigGrid"
				columns={[
					{
						"dataType": "bool",
						"headerText": "",
						"hidden": false,
						"readOnly": true,
						"key": "check",
						"width": "25px",
						"template": "<input id='box-1_${lineItemId}' type='checkbox' onChange='window.edge.grids[\"ProductConfigGrid\"].selectCheckBoxClick(\"${lineItemId}\",this)' class='checkmark ui-icon ui-icon-check' value='1'>"
					},
					{
						"dataType": "string",
						"headerText": "",
						"key": "validationStatus",
						"readOnly": true,
						"width": "25px",
						"template": "{{if ${validationStatus} == 'validLineItem' }}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Valid Line' class='sg-status-icons-correct status-icon'></span>{{elseif ${validationStatus} == 'invalidLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Invalid Line' class='sg-status-icons-error status-icon'></span>{{elseif ${validationStatus} == 'releasedLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Released Line' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'partialReleasedLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'partialReleasedInvalidLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'shippedLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Submitted Line' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'partialShippedLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'partialShippedInvalidLineItem'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'selectionRequired'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Selection from Candidate grid is required!' class='fa fa-exclamation-triangle status-icon'></span>{{elseif ${validationStatus} == 'selectionInactive'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Selection Routine for this Product is currently Under Development.' class='fa fa-exclamation-triangle status-icon'></span>{{elseif ${validationStatus} == 'PricingIsZero'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Pricing is not available' class='sg-status-icons-error status-icon'></span>{{elseif ${validationStatus} == 'freightQuoteRequired'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Freight Quote Required' class='fa fa-exclamation-circle icon-warning'></span>{{elseif ${validationStatus} == 'partialReleasedFreightQuoteRequired'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{elseif ${validationStatus} == 'partialShippedFreightQuoteRequired'}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='' class='fa fa-truck status-icon'></span>{{else}}<span onmouseover='window.edge.common.handleStatusToolTip(this)' onmouseout='window.edge.common.resetStatusTooltip()' message='Validation pending' class='sg-status-icons-caution status-icon'></span>{{/if}}",
						"allowMoving": false
					},
					{
						"dataType": "number",
						"headerText": "Quantity",
						"hidden": false,
						"key": "quantity",
						"width": "100px",
						"minValue": 1,
						"sorting": true,
						"resizing": true,
						"filtering": true,
						"allowMoving": false
					},
					{
						"dataType": "string",
						"headerText": "Tag",
						"hidden": false,
						"key": "tagText",
						"width": "200px",
						"maxLength": "15",
						"sorting": true,
						"resizing": true,
						"filtering": true,
						"allowMoving": false
					},
					{
						"headerText": "Width",
						"dataType": "number",
						"format": "",
						"key": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
						"dataSource": [],
						"textKey": null,
						"valueKey": null,
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Width</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Height",
						"dataType": "number",
						"format": "",
						"key": "3f7420b0-34ae-4d44-876a-de1be662b272",
						"dataSource": [],
						"textKey": null,
						"valueKey": null,
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Height</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Deflection Pattern",
						"dataType": "string",
						"format": "",
						"key": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
						"dataSource": [
							{
								"valueGuid": "4a938970-b701-423b-a887-e83e440a4713",
								"modelValueGuid": "714b97d5-4cfc-4ce5-ab1f-ab7314da186e",
								"valueName": "1 - 1 WAY",
								"valueText": "1",
								"isDefault": false,
								"sortOrder": 1,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "464b3fb2-41a3-40d1-acb4-f868cfee6984",
								"modelValueGuid": "5698be62-2214-4649-8e08-5da72f608eea",
								"valueName": "1L - 1 WAY LONG",
								"valueText": "1L",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "45858bd6-2362-4940-aae7-e089dca18418",
								"modelValueGuid": "7d0c464e-028d-4c81-b004-db6c464f6579",
								"valueName": "1S - 1 WAY SHORT",
								"valueText": "1S",
								"isDefault": false,
								"sortOrder": 3,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "2f1f23a3-fc7e-4707-a574-3c665896a43c",
								"modelValueGuid": "fa1028cd-957c-4c65-bc3b-a838be8e7672",
								"valueName": "2 - 2 WAY",
								"valueText": "2",
								"isDefault": false,
								"sortOrder": 4,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "76d84cad-79d4-4ca2-abbe-81acd2414f37",
								"modelValueGuid": "9c049d34-30b3-4c53-84cd-6c17eb5d4e92",
								"valueName": "2C - 2 WAY CORNER",
								"valueText": "2C",
								"isDefault": false,
								"sortOrder": 5,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "33428dda-98e8-4733-8fe3-c3fc3b511f2a",
								"modelValueGuid": "18e126e8-c98f-48dd-9f8f-170894c3e7d6",
								"valueName": "2L - 2 WAY LONG",
								"valueText": "2L",
								"isDefault": false,
								"sortOrder": 6,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "162772bd-c585-4eda-bdaa-1565548f7f58",
								"modelValueGuid": "2931460d-7f5a-4270-9ddc-2424f99d52be",
								"valueName": "2S - 2 WAY SHORT",
								"valueText": "2S",
								"isDefault": false,
								"sortOrder": 7,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "55a44b9b-d9df-4aa8-850b-66ea55d18846",
								"modelValueGuid": "c4a8a1dd-7854-4532-bbd8-c73433201e73",
								"valueName": "3 - 3 WAY",
								"valueText": "3",
								"isDefault": false,
								"sortOrder": 8,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "94059503-6936-499b-ad58-d0b81e80e4a8",
								"modelValueGuid": "332f406c-5107-4470-ac0b-163a2e0fac15",
								"valueName": "4 - 4 WAY",
								"valueText": "4",
								"isDefault": true,
								"sortOrder": 9,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Deflection Pattern</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Material",
						"dataType": "string",
						"format": "",
						"key": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
						"dataSource": [
							{
								"valueGuid": "df07d4de-c9c4-4b69-9128-525de72c071b",
								"modelValueGuid": "cc4f0720-8d35-4d16-94d1-ee0c20b784ba",
								"valueName": "304 - 304 STAINLESS",
								"valueText": "304",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Material</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Frame",
						"dataType": "string",
						"format": "",
						"key": "be7fb658-402e-4662-988c-9b23f1c82c03",
						"dataSource": [
							{
								"valueGuid": "98e9bf45-3589-45ca-86f8-6d830ea3dde8",
								"modelValueGuid": "02c65704-99b1-4832-851e-7af3a887c9e3",
								"valueName": "F22 - SURFACE MNT",
								"valueText": "F22",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "d634d3a1-1701-4f21-a1b4-b45bc674de05",
								"modelValueGuid": "dc9f8a50-12ea-4801-8801-8db55c8e29b2",
								"valueName": "F23 - LAY-IN T-BAR",
								"valueText": "F23",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Frame</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Panel",
						"dataType": "string",
						"format": "",
						"key": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
						"dataSource": [
							{
								"valueGuid": "9eb5a31c-6a43-450a-8f9e-2fa300f6cd50",
								"modelValueGuid": "d883d62e-48f7-47bd-9226-f042b5861223",
								"valueName": "00 - NONE",
								"valueText": "NONE",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "ab9da0db-c7b6-4f30-b395-88d42b59f09d",
								"modelValueGuid": "21dbcf4e-820b-43f2-a17a-8fd4b906412f",
								"valueName": "24X24",
								"valueText": "24X24",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Panel</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Fastening",
						"dataType": "string",
						"format": "",
						"key": "b260556e-f4f7-4a04-8b66-55133fd115bd",
						"dataSource": [
							{
								"valueGuid": "5d4c112e-1e6f-4ab4-8c05-154a756b6542",
								"modelValueGuid": "017dffa4-a130-4f5b-8931-c361cb72da91",
								"valueName": "00 - NO SCREW HOLES",
								"valueText": "00",
								"isDefault": false,
								"sortOrder": 1,
								"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "bc8e9770-eda5-4340-8ffe-0caa9e8b5a54",
								"modelValueGuid": "de09621f-2d2a-4af0-90ce-3bda97430d1a",
								"valueName": "01 - STANDARD SCREW HOLES",
								"valueText": "01",
								"isDefault": true,
								"sortOrder": 2,
								"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Fastening</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Damper",
						"dataType": "string",
						"format": "",
						"key": "051dcfcb-94a6-4980-a584-89e4a9925555",
						"dataSource": [
							{
								"valueGuid": "d51f653b-396d-4c15-95f4-5a1bf9024f76",
								"modelValueGuid": "c4afcd07-13cd-4d31-8faf-f4c6242602ff",
								"valueName": "00 - NONE",
								"valueText": "00",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "ba83136f-56a6-43ce-b770-6b8ed4e19a6b",
								"modelValueGuid": "d129102f-a60e-4aad-8457-e638b0d882ba",
								"valueName": "01 - 9OBD - STAINLESS STEEL",
								"valueText": "01",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Damper</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Accy 1",
						"dataType": "string",
						"format": "",
						"key": "e997fda6-fc99-4716-9126-9409692eb1bd",
						"dataSource": [
							{
								"valueGuid": "c94e2c2d-2109-416f-8513-79e4acd7821a",
								"modelValueGuid": "6e062a79-b295-40d1-9a98-ece6a6a6b89e",
								"valueName": "00 - NONE",
								"valueText": "00",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "b32da0a9-4d6c-4fbb-8dde-e3b92255e191",
								"modelValueGuid": "554bd45a-1707-4da6-aef4-83177cb4cb8c",
								"valueName": "01 - 98PF PLASTER FRAME",
								"valueText": "01",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Accy 1</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Accy 2",
						"dataType": "string",
						"format": "",
						"key": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
						"dataSource": [
							{
								"valueGuid": "f27ad076-edcf-4dae-8b21-51d39087c6cb",
								"modelValueGuid": "f2216052-0297-408c-8eaa-039d1945d773",
								"valueName": "00 - NONE",
								"valueText": "00",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "e046d7fd-f0c8-49dc-bd26-83b9c7652a27",
								"modelValueGuid": "e9c296b9-c0c2-40ac-9f8d-e1668ddcc4fa",
								"valueName": "04 - 9SRA WITH 4 in NECK",
								"valueText": "04",
								"isDefault": false,
								"sortOrder": 2,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "fab9aba9-149b-4977-91de-93e6eb551b40",
								"modelValueGuid": "bce8fb18-2b92-4f8e-b5cf-a79722dd6b1f",
								"valueName": "06 - 9SRA WITH 6 in NECK",
								"valueText": "06",
								"isDefault": false,
								"sortOrder": 3,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "49cc19de-9877-472d-aecd-aa86584a9e1b",
								"modelValueGuid": "cf3c002e-7708-4324-8927-0c29e678d28c",
								"valueName": "08 - 9SRA WITH 8 in NECK",
								"valueText": "08",
								"isDefault": false,
								"sortOrder": 4,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "65318486-0ab7-40d3-9e1d-7cf2847bc9f5",
								"modelValueGuid": "5d50e667-6ee7-43a7-94d4-ddc7f82ac3a4",
								"valueName": "10 - 9SRA WITH 10 in NECK",
								"valueText": "10",
								"isDefault": false,
								"sortOrder": 5,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "2f7899c3-b20f-4cc1-935f-4dfedba6d3c0",
								"modelValueGuid": "2adaae94-26af-4e3f-bec9-ba31ddfcc9b4",
								"valueName": "12 - 9SRA WITH 12 in NECK",
								"valueText": "12",
								"isDefault": false,
								"sortOrder": 6,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "4bd0d9de-8ac3-47ba-aced-6779596a5093",
								"modelValueGuid": "1a78e7a9-593f-4ec9-b5b7-5b19314f1afb",
								"valueName": "14 - 9SRA WITH 14 in NECK",
								"valueText": "14",
								"isDefault": false,
								"sortOrder": 7,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "729073fd-22ea-452b-91be-37429b67b6a6",
								"modelValueGuid": "46bc7804-b4c8-4998-94ff-b804e0b07b76",
								"valueName": "16 - 9SRA WITH 16 in NECK",
								"valueText": "16",
								"isDefault": false,
								"sortOrder": 8,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "e4757f2a-3661-4532-b4df-6481d5d9413d",
								"modelValueGuid": "01225523-ddc9-4772-8fe8-7782e5590347",
								"valueName": "18 - 9SRA WITH 18 in NECK",
								"valueText": "18",
								"isDefault": false,
								"sortOrder": 9,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Accy 2</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"headerText": "Finish",
						"dataType": "string",
						"format": "",
						"key": "9c175252-0a88-4177-b20f-d3d61d71f609",
						"dataSource": [
							{
								"valueGuid": "d4872a1e-f235-436a-b446-4a112229b93a",
								"modelValueGuid": "8a962798-b6bd-4901-b3ed-9a554dae089c",
								"valueName": "90 - POLISHED SATIN",
								"valueText": "90",
								"isDefault": true,
								"sortOrder": 1,
								"modelOptionGuid": "9c175252-0a88-4177-b20f-d3d61d71f609",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": false
							},
							{
								"valueGuid": "00000000-0000-0000-0000-000000000000",
								"modelValueGuid": "00000000-0000-0000-0000-000000000000",
								"valueName": "OTHERS",
								"valueText": "OTHERS",
								"isDefault": false,
								"sortOrder": 81,
								"modelOptionGuid": "9c175252-0a88-4177-b20f-d3d61d71f609",
								"addOn": "",
								"specialUIDefinition": "",
								"isSpecialValue": true
							}
						],
						"textKey": "valueName",
						"valueKey": "modelValueGuid",
						"resizing": true,
						"sorting": true,
						"filtering": true,
						"width": "200px",
						"hidden": false,
						"allowTooltips": true,
						"dataMode": "int",
						"maxDecimals": 0,
						"minDecimals": 0,
						"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Finish</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
						"itemTemplate": "",
						"updateDataSource": false,
						"readOnly": false,
						"forceColumnRefresh": true,
						"displayComboHeader": false,
						"maxValue": null,
						"allowMoving": true
					},
					{
						"dataType": "string",
						"headerText": "lineItemId",
						"hidden": true,
						"key": "lineItemId",
						"width": "*"
					}
				]}
				dataSource={[
					{
						"lineItemId": "875e02a1-144f-42b7-94b3-3615b57a9042",
						"quantity": 1,
						"tagText": "Tag Set",
						"isRowDisabled": false,
						"disabledMessage": "This line cannot be edited.",
						"validationStatus": "invalidLineItem",
						"disabledColumns": [
							null
						],
						"ab8d5792-be05-42a7-a2a5-347e6f288d30": 0,
						"3f7420b0-34ae-4d44-876a-de1be662b272": 0,
						"56f426a7-b469-48ea-811b-b6abfcb20e3a": "332f406c-5107-4470-ac0b-163a2e0fac15",
						"de0d950e-4e04-4f57-a44e-13d8f08e0f04": "cc4f0720-8d35-4d16-94d1-ee0c20b784ba",
						"be7fb658-402e-4662-988c-9b23f1c82c03": "02c65704-99b1-4832-851e-7af3a887c9e3",
						"3b9f0792-4c5d-4c2f-a793-d4843120862b": "d883d62e-48f7-47bd-9226-f042b5861223",
						"b260556e-f4f7-4a04-8b66-55133fd115bd": "de09621f-2d2a-4af0-90ce-3bda97430d1a",
						"051dcfcb-94a6-4980-a584-89e4a9925555": "c4afcd07-13cd-4d31-8faf-f4c6242602ff",
						"e997fda6-fc99-4716-9126-9409692eb1bd": "6e062a79-b295-40d1-9a98-ece6a6a6b89e",
						"74d21efb-6ea6-46bb-a350-207bbdc3756c": "f2216052-0297-408c-8eaa-039d1945d773",
						"9c175252-0a88-4177-b20f-d3d61d71f609": "8a962798-b6bd-4901-b3ed-9a554dae089c"
					}
				]}
				width="100%"
				defaultColumnWidth="200px"
				primaryKey="lineItemId"
				showRowIndex={true}
				rowReordering={true}
				showRowSelectCheckBox={true}
				height="500px"
				widthType="px"
				forceCommitGrid={false}
				gridMerge={false}
				filldownWithgridMerge={false}
				fixedColumnsIndex={4}
				features={[
						{
							"name": "Updating",
							"editMode": "cell",
							"enableDeleteRow": false,
							"horizontalMoveOnEnter": true,
							"autoCommit": true,
							"enableAddRow": false,
							"excelNavigationMode": false,
							"columnSettings": [
								{
									"columnKey": "check",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": null,
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": true
								},
								{
									"columnKey": "validationStatus",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": null,
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": true
								},
								{
									"columnKey": "quantity",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": 1,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": null,
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": false
								},
								{
									"columnKey": "tagText",
									"editorOptions": {
										"maxLength": "15",
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"dataMode": null,
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": false
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": "int",
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": false
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": "int",
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": false
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "4a938970-b701-423b-a887-e83e440a4713",
												"modelValueGuid": "714b97d5-4cfc-4ce5-ab1f-ab7314da186e",
												"valueName": "1 - 1 WAY",
												"valueText": "1",
												"isDefault": false,
												"sortOrder": 1,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "464b3fb2-41a3-40d1-acb4-f868cfee6984",
												"modelValueGuid": "5698be62-2214-4649-8e08-5da72f608eea",
												"valueName": "1L - 1 WAY LONG",
												"valueText": "1L",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "45858bd6-2362-4940-aae7-e089dca18418",
												"modelValueGuid": "7d0c464e-028d-4c81-b004-db6c464f6579",
												"valueName": "1S - 1 WAY SHORT",
												"valueText": "1S",
												"isDefault": false,
												"sortOrder": 3,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "2f1f23a3-fc7e-4707-a574-3c665896a43c",
												"modelValueGuid": "fa1028cd-957c-4c65-bc3b-a838be8e7672",
												"valueName": "2 - 2 WAY",
												"valueText": "2",
												"isDefault": false,
												"sortOrder": 4,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "76d84cad-79d4-4ca2-abbe-81acd2414f37",
												"modelValueGuid": "9c049d34-30b3-4c53-84cd-6c17eb5d4e92",
												"valueName": "2C - 2 WAY CORNER",
												"valueText": "2C",
												"isDefault": false,
												"sortOrder": 5,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "33428dda-98e8-4733-8fe3-c3fc3b511f2a",
												"modelValueGuid": "18e126e8-c98f-48dd-9f8f-170894c3e7d6",
												"valueName": "2L - 2 WAY LONG",
												"valueText": "2L",
												"isDefault": false,
												"sortOrder": 6,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "162772bd-c585-4eda-bdaa-1565548f7f58",
												"modelValueGuid": "2931460d-7f5a-4270-9ddc-2424f99d52be",
												"valueName": "2S - 2 WAY SHORT",
												"valueText": "2S",
												"isDefault": false,
												"sortOrder": 7,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "55a44b9b-d9df-4aa8-850b-66ea55d18846",
												"modelValueGuid": "c4a8a1dd-7854-4532-bbd8-c73433201e73",
												"valueName": "3 - 3 WAY",
												"valueText": "3",
												"isDefault": false,
												"sortOrder": 8,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "94059503-6936-499b-ad58-d0b81e80e4a8",
												"modelValueGuid": "332f406c-5107-4470-ac0b-163a2e0fac15",
												"valueName": "4 - 4 WAY",
												"valueText": "4",
												"isDefault": true,
												"sortOrder": 9,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Deflection Pattern</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "df07d4de-c9c4-4b69-9128-525de72c071b",
												"modelValueGuid": "cc4f0720-8d35-4d16-94d1-ee0c20b784ba",
												"valueName": "304 - 304 STAINLESS",
												"valueText": "304",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Material</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "98e9bf45-3589-45ca-86f8-6d830ea3dde8",
												"modelValueGuid": "02c65704-99b1-4832-851e-7af3a887c9e3",
												"valueName": "F22 - SURFACE MNT",
												"valueText": "F22",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "d634d3a1-1701-4f21-a1b4-b45bc674de05",
												"modelValueGuid": "dc9f8a50-12ea-4801-8801-8db55c8e29b2",
												"valueName": "F23 - LAY-IN T-BAR",
												"valueText": "F23",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "be7fb658-402e-4662-988c-9b23f1c82c03",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Frame</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "9eb5a31c-6a43-450a-8f9e-2fa300f6cd50",
												"modelValueGuid": "d883d62e-48f7-47bd-9226-f042b5861223",
												"valueName": "00 - NONE",
												"valueText": "NONE",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "ab9da0db-c7b6-4f30-b395-88d42b59f09d",
												"modelValueGuid": "21dbcf4e-820b-43f2-a17a-8fd4b906412f",
												"valueName": "24X24",
												"valueText": "24X24",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Panel</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "5d4c112e-1e6f-4ab4-8c05-154a756b6542",
												"modelValueGuid": "017dffa4-a130-4f5b-8931-c361cb72da91",
												"valueName": "00 - NO SCREW HOLES",
												"valueText": "00",
												"isDefault": false,
												"sortOrder": 1,
												"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "bc8e9770-eda5-4340-8ffe-0caa9e8b5a54",
												"modelValueGuid": "de09621f-2d2a-4af0-90ce-3bda97430d1a",
												"valueName": "01 - STANDARD SCREW HOLES",
												"valueText": "01",
												"isDefault": true,
												"sortOrder": 2,
												"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "b260556e-f4f7-4a04-8b66-55133fd115bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Fastening</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "d51f653b-396d-4c15-95f4-5a1bf9024f76",
												"modelValueGuid": "c4afcd07-13cd-4d31-8faf-f4c6242602ff",
												"valueName": "00 - NONE",
												"valueText": "00",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "ba83136f-56a6-43ce-b770-6b8ed4e19a6b",
												"modelValueGuid": "d129102f-a60e-4aad-8457-e638b0d882ba",
												"valueName": "01 - 9OBD - STAINLESS STEEL",
												"valueText": "01",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "051dcfcb-94a6-4980-a584-89e4a9925555",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Damper</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "c94e2c2d-2109-416f-8513-79e4acd7821a",
												"modelValueGuid": "6e062a79-b295-40d1-9a98-ece6a6a6b89e",
												"valueName": "00 - NONE",
												"valueText": "00",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "b32da0a9-4d6c-4fbb-8dde-e3b92255e191",
												"modelValueGuid": "554bd45a-1707-4da6-aef4-83177cb4cb8c",
												"valueName": "01 - 98PF PLASTER FRAME",
												"valueText": "01",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "e997fda6-fc99-4716-9126-9409692eb1bd",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Accy 1</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "f27ad076-edcf-4dae-8b21-51d39087c6cb",
												"modelValueGuid": "f2216052-0297-408c-8eaa-039d1945d773",
												"valueName": "00 - NONE",
												"valueText": "00",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "e046d7fd-f0c8-49dc-bd26-83b9c7652a27",
												"modelValueGuid": "e9c296b9-c0c2-40ac-9f8d-e1668ddcc4fa",
												"valueName": "04 - 9SRA WITH 4 in NECK",
												"valueText": "04",
												"isDefault": false,
												"sortOrder": 2,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "fab9aba9-149b-4977-91de-93e6eb551b40",
												"modelValueGuid": "bce8fb18-2b92-4f8e-b5cf-a79722dd6b1f",
												"valueName": "06 - 9SRA WITH 6 in NECK",
												"valueText": "06",
												"isDefault": false,
												"sortOrder": 3,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "49cc19de-9877-472d-aecd-aa86584a9e1b",
												"modelValueGuid": "cf3c002e-7708-4324-8927-0c29e678d28c",
												"valueName": "08 - 9SRA WITH 8 in NECK",
												"valueText": "08",
												"isDefault": false,
												"sortOrder": 4,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "65318486-0ab7-40d3-9e1d-7cf2847bc9f5",
												"modelValueGuid": "5d50e667-6ee7-43a7-94d4-ddc7f82ac3a4",
												"valueName": "10 - 9SRA WITH 10 in NECK",
												"valueText": "10",
												"isDefault": false,
												"sortOrder": 5,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "2f7899c3-b20f-4cc1-935f-4dfedba6d3c0",
												"modelValueGuid": "2adaae94-26af-4e3f-bec9-ba31ddfcc9b4",
												"valueName": "12 - 9SRA WITH 12 in NECK",
												"valueText": "12",
												"isDefault": false,
												"sortOrder": 6,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "4bd0d9de-8ac3-47ba-aced-6779596a5093",
												"modelValueGuid": "1a78e7a9-593f-4ec9-b5b7-5b19314f1afb",
												"valueName": "14 - 9SRA WITH 14 in NECK",
												"valueText": "14",
												"isDefault": false,
												"sortOrder": 7,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "729073fd-22ea-452b-91be-37429b67b6a6",
												"modelValueGuid": "46bc7804-b4c8-4998-94ff-b804e0b07b76",
												"valueName": "16 - 9SRA WITH 16 in NECK",
												"valueText": "16",
												"isDefault": false,
												"sortOrder": 8,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "e4757f2a-3661-4532-b4df-6481d5d9413d",
												"modelValueGuid": "01225523-ddc9-4772-8fe8-7782e5590347",
												"valueName": "18 - 9SRA WITH 18 in NECK",
												"valueText": "18",
												"isDefault": false,
												"sortOrder": 9,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Accy 2</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"editorOptions": {
										"mode": "dropdown",
										"dataSource": [
											{
												"valueGuid": "d4872a1e-f235-436a-b446-4a112229b93a",
												"modelValueGuid": "8a962798-b6bd-4901-b3ed-9a554dae089c",
												"valueName": "90 - POLISHED SATIN",
												"valueText": "90",
												"isDefault": true,
												"sortOrder": 1,
												"modelOptionGuid": "9c175252-0a88-4177-b20f-d3d61d71f609",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": false
											},
											{
												"valueGuid": "00000000-0000-0000-0000-000000000000",
												"modelValueGuid": "00000000-0000-0000-0000-000000000000",
												"valueName": "OTHERS",
												"valueText": "OTHERS",
												"isDefault": false,
												"sortOrder": 81,
												"modelOptionGuid": "9c175252-0a88-4177-b20f-d3d61d71f609",
												"addOn": "",
												"specialUIDefinition": "",
												"isSpecialValue": true
											}
										],
										"textKey": "valueName",
										"valueKey": "modelValueGuid",
										"dropDownWidth": 300,
										"selectionChanging": null,
										"headerTemplate": "<div id='dynamicComboHeader' class='comboHeaderTemplate' ><div class='comboHeaderCell headerCell'><dt>Finish</dt></div><div class='comboHeaderCell headerCell'><dt>Add On</dt></div></div>",
										"itemTemplate": null
									},
									"editorType": "combo",
									"readOnly": false
								},
								{
									"columnKey": "lineItemId",
									"editorOptions": {
										"maxLength": 0,
										"excludeKeys": null,
										"maxDecimals": null,
										"minDecimals": null,
										"minValue": null,
										"maxValue": null,
										"validatorOptions": null,
										"valueChanging": null,
										"dataMode": null,
										"textAlign": "left",
										"selectionOnFocus": 0
									},
									"readOnly": false
								}
							]
						},
						{
							"name": "Sorting",
							"type": "local",
							"mode": "multi",
							"persist": true,
							"columnSettings": [
								{
									"columnKey": "check",
									"allowSorting": false
								},
								{
									"columnKey": "validationStatus",
									"allowSorting": false
								},
								{
									"columnKey": "quantity",
									"allowSorting": true
								},
								{
									"columnKey": "tagText",
									"allowSorting": true
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowSorting": true
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowSorting": true
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowSorting": true
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowSorting": true
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowSorting": true
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowSorting": true
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowSorting": true
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowSorting": true
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowSorting": true
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowSorting": true
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowSorting": true
								},
								{
									"columnKey": "lineItemId",
									"allowSorting": false
								}
							]
						},
						{
							"name": "Filtering",
							"type": "local",
							"persist": true,
							"columnSettings": [
								{
									"columnKey": "check",
									"allowFiltering": false
								},
								{
									"columnKey": "validationStatus",
									"allowFiltering": false
								},
								{
									"columnKey": "quantity",
									"allowFiltering": true
								},
								{
									"columnKey": "tagText",
									"allowFiltering": true
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowFiltering": true
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowFiltering": true
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowFiltering": true
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowFiltering": true
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowFiltering": true
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowFiltering": true
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowFiltering": true
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowFiltering": true
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowFiltering": true
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowFiltering": true
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowFiltering": true
								},
								{
									"columnKey": "lineItemId",
									"allowFiltering": false
								}
							]
						},
						{
							"name": "Resizing",
							"columnSettings": [
								{
									"columnKey": "check",
									"allowResizing": false,
									"minimumWidth": 50
								},
								{
									"columnKey": "validationStatus",
									"allowResizing": false,
									"minimumWidth": 50
								},
								{
									"columnKey": "quantity",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "tagText",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowResizing": true,
									"minimumWidth": 50
								},
								{
									"columnKey": "lineItemId",
									"allowResizing": false,
									"minimumWidth": 50
								}
							]
						},
						{
							"name": "Tooltips",
							"columnSettings": [
								{
									"columnKey": "check",
									"allowTooltips": true
								},
								{
									"columnKey": "validationStatus",
									"allowTooltips": true
								},
								{
									"columnKey": "quantity",
									"allowTooltips": true
								},
								{
									"columnKey": "tagText",
									"allowTooltips": true
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowTooltips": true
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowTooltips": true
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowTooltips": true
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowTooltips": true
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowTooltips": true
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowTooltips": true
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowTooltips": true
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowTooltips": true
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowTooltips": true
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowTooltips": true
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowTooltips": true
								},
								{
									"columnKey": "lineItemId",
									"allowTooltips": true
								}
							],
							"style": "popover",
							"visibility": "always",
							"fadeTimespan": 100,
							"hideDelay": 0
						},
						{
							"name": "ColumnMoving",
							"columnMovingDialogContainment": "window",
							"columnSettings": [
								{
									"columnKey": "check",
									"allowMoving": false
								},
								{
									"columnKey": "check",
									"allowMoving": true
								},
								{
									"columnKey": "validationStatus",
									"allowMoving": false
								},
								{
									"columnKey": "quantity",
									"allowMoving": false
								},
								{
									"columnKey": "tagText",
									"allowMoving": false
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowMoving": true
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowMoving": true
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowMoving": true
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowMoving": true
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowMoving": true
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowMoving": true
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowMoving": true
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowMoving": true
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowMoving": true
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowMoving": true
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowMoving": true
								},
								{
									"columnKey": "lineItemId",
									"allowMoving": true
								}
							]
						},
						{
							"name": "Summaries",
							"resultTemplate": "{1}",
							"type": "local",
							"showDropDownButton": false,
							"compactRenderingMode": true,
							"columnSettings": [
								{
									"columnKey": "check",
									"allowSummaries": false
								},
								{
									"columnKey": "validationStatus",
									"allowSummaries": false
								},
								{
									"columnKey": "quantity",
									"allowSummaries": false
								},
								{
									"columnKey": "tagText",
									"allowSummaries": false
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowSummaries": false
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowSummaries": false
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowSummaries": false
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowSummaries": false
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowSummaries": false
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowSummaries": false
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowSummaries": false
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowSummaries": false
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowSummaries": false
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowSummaries": false
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowSummaries": false
								},
								{
									"columnKey": "lineItemId",
									"allowSummaries": false
								}
							]
						},
						{
							"name": "CellMerging",
							"initialState": "regular",
							"columnSettings": [
								{
									"columnKey": "check",
									"allowMerge": false
								},
								{
									"columnKey": "validationStatus",
									"allowMerge": false
								},
								{
									"columnKey": "quantity",
									"allowMerge": false
								},
								{
									"columnKey": "tagText",
									"allowMerge": false
								},
								{
									"columnKey": "ab8d5792-be05-42a7-a2a5-347e6f288d30",
									"allowMerge": false
								},
								{
									"columnKey": "3f7420b0-34ae-4d44-876a-de1be662b272",
									"allowMerge": false
								},
								{
									"columnKey": "56f426a7-b469-48ea-811b-b6abfcb20e3a",
									"allowMerge": false
								},
								{
									"columnKey": "de0d950e-4e04-4f57-a44e-13d8f08e0f04",
									"allowMerge": false
								},
								{
									"columnKey": "be7fb658-402e-4662-988c-9b23f1c82c03",
									"allowMerge": false
								},
								{
									"columnKey": "3b9f0792-4c5d-4c2f-a793-d4843120862b",
									"allowMerge": false
								},
								{
									"columnKey": "b260556e-f4f7-4a04-8b66-55133fd115bd",
									"allowMerge": false
								},
								{
									"columnKey": "051dcfcb-94a6-4980-a584-89e4a9925555",
									"allowMerge": false
								},
								{
									"columnKey": "e997fda6-fc99-4716-9126-9409692eb1bd",
									"allowMerge": false
								},
								{
									"columnKey": "74d21efb-6ea6-46bb-a350-207bbdc3756c",
									"allowMerge": false
								},
								{
									"columnKey": "9c175252-0a88-4177-b20f-d3d61d71f609",
									"allowMerge": false
								},
								{
									"columnKey": "lineItemId",
									"allowMerge": false
								}
							]
						},
						{
							"name": "MultiColumnHeaders"
						},
						{
							"name": "RowSelectors",
							"enableRowNumbering": true,
							"requireSelection": false,
							"rowSelectorColumnWidth": 25
						}
				]}
				autoCommit={true}
				featureChooserIconDisplay="none"
			/>
		);
	}
});

export default MainComponent;